# cwltool.cuda

Support utilities for CUDA.

## Functions

`cuda_version_and_device_count`() | Determine the CUDA version and number of attached CUDA GPUs.
`cuda_check`(cuda_req, requestCount) |

## Module Contents

cwltool.cuda.cuda_version_and_device_count()

  Determine the CUDA version and number of attached CUDA GPUs.

  Return type:

    tuple[str, int]

cwltool.cuda.cuda_check(cuda_req, requestCount)
  Parameters:

    - cuda_req (cwltool.utils.CWLObjectType)

    - requestCount (int)

  Return type:

    int